defmodule Mercadolibre.Mixfile do
  use Mix.Project

  def project do
    [app: :mercadolibre,
     version: "0.0.1",
     elixir: "~> 1.3",
     build_embedded: Mix.env == :prod,
     start_permanent: Mix.env == :prod,
     description: "An elixir wrapper for MercadoLibre.com API",
     package: package,
     deps: deps()]
  end

  defp package do
    [
      maintainers: ["CarlosIPe"],
      licenses: ["MIT"],
      links: %{"GitHub" => "https://github.com/carlosipe/mercadolibre_elixir"}
    ]
  end

  # Configuration for the OTP application
  #
  # Type "mix help compile.app" for more information
  def application do
    [applications: [:logger]]
  end

  # Dependencies can be Hex packages:
  #
  #   {:mydep, "~> 0.3.0"}
  #
  # Or git/path repositories:
  #
  #   {:mydep, git: "https://github.com/elixir-lang/mydep.git", tag: "0.1.0"}
  #
  # Type "mix help deps" for more examples and options
  defp deps do
    [
      {:ex_doc, ">= 0.0.0", only: :dev}
    ]
  end
end
